=== src/views/collectionview/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_subdirectory(icons)
