## korganizer 25.08.1+p24.04+vstable+git20250928.1353

=== debian/changelog ===
korganizer (4:25.08.1+p24.04+vstable+git20250928.1353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:53:44 +0000

korganizer (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:44:13 +0000
