## korganizer 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,11 @@
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.5.1")
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(PIM_VERSION "6.5.2")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
@@ -76,13 +76,13 @@
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.5.1")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
+set(AKONADI_CONTACT_VERSION "6.5.2")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(AKONADICALENDAR_LIB_VERSION "6.5.2")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -99,11 +99,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
-set(EVENTVIEW_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.2")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.2")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
+set(EVENTVIEW_LIB_VERSION "6.5.2")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
