=== src/sounds/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
install(
    FILES
        alert.wav
        icemag.wav
        lightmag.wav
        onscreen.wav
        spinout.wav
    DESTINATION ${KDE_INSTALL_DATADIR}/korganizer/sounds
)
