=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadicalendar-dev (>= 4:25.08.1~),
-               libakonadicontact-dev (>= 4:25.08.1~),
-               libcalendarsupport-dev (>= 4:25.08.1~),
-               libeventviews-dev (>= 4:25.08.1~),
-               libincidenceeditor-dev (>= 25.08.1~),
-               libkcalendarutils-dev (>= 4:25.08.1~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadicalendar-dev (>= 4:25.08.2~),
+               libakonadicontact-dev (>= 4:25.08.2~),
+               libcalendarsupport-dev (>= 4:25.08.2~),
+               libeventviews-dev (>= 4:25.08.2~),
+               libincidenceeditor-dev (>= 25.08.2~),
+               libkcalendarutils-dev (>= 4:25.08.2~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.3.0~),
@@ -36,12 +36,12 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
-               libkldap-dev (>= 25.08.1~),
-               libkmailtransport-dev (>= 25.08.1~),
-               libkmime-dev (>= 25.08.1~),
-               libkontactinterface-dev (>= 25.08.1~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
+               libkldap-dev (>= 25.08.2~),
+               libkmailtransport-dev (>= 25.08.2~),
+               libkmime-dev (>= 25.08.2~),
+               libkontactinterface-dev (>= 25.08.2~),
+               libpimcommon-dev (>= 4:25.08.2~),
                libplasmaactivities-dev (>= 6.1.0~),
                libx11-dev,
                pkgconf,
