## korganizer 25.08.2+p24.04+vstable+git20251016.2245

=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vstable+git20251016.2245-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:45:53 +0000

korganizer (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:28:44 +0000
