## korganizer 25.08.2+p24.04+vstable+git20251031.0553

=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vstable+git20251031.0553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 05:53:21 +0000
