## korganizer 25.08.2+p24.04+vunstable+git20251015.0715

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,24 +3,24 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
     set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
-set(PIM_VERSION "6.5.2")
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(PIM_VERSION "6.5.40")
+set(RELEASE_SERVICE_VERSION "25.11.70")
 
 # Update it for each release
-set(KORGANIZER_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
+set(KORGANIZER_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 project(korganizer VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
@@ -73,16 +73,17 @@
 
 # Require a C++20 capable compiler
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_EXTENSIONS OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
-set(AKONADI_CONTACT_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
+set(AKONADI_CONTACT_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(CALENDARUTILS_LIB_VERSION "6.5.40")
+set(AKONADICALENDAR_LIB_VERSION "6.5.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.40")
+set(AKONADI_VERSION "6.5.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -99,11 +100,11 @@
         UiTools
 )
 
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.2")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.2")
-set(EVENTVIEW_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(LIBINCIDENCEEDITOR_LIB_VERSION "6.5.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.40")
+set(EVENTVIEW_LIB_VERSION "6.5.40")
 
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -198,6 +199,23 @@
     find_package(X11)
 endif()
 
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
+set_package_properties(
+    KF6TextAddonsWidgets
+    PROPERTIES
+        DESCRIPTION
+            "Add text addons widget"
+        TYPE
+            REQUIRED
+)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
+
 set(KDEPIM_HAVE_X11 ${X11_FOUND})
 configure_file(config-korganizer.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-korganizer.h)
 include_directories(
@@ -207,7 +225,7 @@
 configure_file(korganizer-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/korganizer-version.h @ONLY)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
