=== debian/changelog ===
korganizer (4:25.08.2+p24.04+vunstable+git20251015.0715-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:15:39 +0000
