## korganizer 25.08.2+p24.04+vunstable+git20251022.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 project(korganizer VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
